org.eclipse.aether.repository

## Class LocalArtifactRegistration

- java.lang.Object
- - org.eclipse.aether.repository.LocalArtifactRegistration

-     public final class LocalArtifactRegistration
      extends Object

  A request to register an artifact within the local repository. Certain local repository implementations can refuse to serve physically present artifacts if those haven't been previously registered to them.
  See Also:
    `LocalRepositoryManager.add(RepositorySystemSession, LocalArtifactRegistration)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalArtifactRegistration()` Creates an uninitialized registration.
    `LocalArtifactRegistration(Artifact artifact)` Creates a registration request for the specified (locally installed) artifact.
    `LocalArtifactRegistration(Artifact artifact, RemoteRepository repository, Collection<String> contexts)` Creates a registration request for the specified artifact.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Artifact` | `getArtifact()` Gets the artifact to register.
    `Collection<String>` | `getContexts()` Gets the resolution contexts in which the artifact is available.
    `RemoteRepository` | `getRepository()` Gets the remote repository from which the artifact was resolved.
    `LocalArtifactRegistration` | `setArtifact(Artifact artifact)` Sets the artifact to register.
    `LocalArtifactRegistration` | `setContexts(Collection<String> contexts)` Sets the resolution contexts in which the artifact is available.
    `LocalArtifactRegistration` | `setRepository(RemoteRepository repository)` Sets the remote repository from which the artifact was resolved.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalArtifactRegistration

          public LocalArtifactRegistration()

      Creates an uninitialized registration.

    - #### LocalArtifactRegistration

          public LocalArtifactRegistration(Artifact artifact)

      Creates a registration request for the specified (locally installed) artifact.
      Parameters:
        `artifact` - The artifact to register, may be `null`.

    - #### LocalArtifactRegistration

          public LocalArtifactRegistration(Artifact artifact,
                                   RemoteRepository repository,
                                   Collection<String> contexts)

      Creates a registration request for the specified artifact.
      Parameters:
        `artifact` - The artifact to register, may be `null`.
        `repository` - The remote repository from which the artifact was resolved or `null` if the artifact was locally installed.
        `contexts` - The resolution contexts, may be `null`.

  - ### Method Detail

    - #### getArtifact

          public Artifact getArtifact()

      Gets the artifact to register.
      Returns:
        The artifact or `null` if not set.

    - #### setArtifact

          public LocalArtifactRegistration setArtifact(Artifact artifact)

      Sets the artifact to register.
      Parameters:
        `artifact` - The artifact, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### getRepository

          public RemoteRepository getRepository()

      Gets the remote repository from which the artifact was resolved.
      Returns:
        The remote repository or `null` if the artifact was locally installed.

    - #### setRepository

          public LocalArtifactRegistration setRepository(RemoteRepository repository)

      Sets the remote repository from which the artifact was resolved.
      Parameters:
        `repository` - The remote repository or `null` if the artifact was locally installed.
      Returns:
        This request for chaining, never `null`.

    - #### getContexts

          public Collection<String> getContexts()

      Gets the resolution contexts in which the artifact is available.
      Returns:
        The resolution contexts in which the artifact is available, never `null`.

    - #### setContexts

          public LocalArtifactRegistration setContexts(Collection<String> contexts)

      Sets the resolution contexts in which the artifact is available.
      Parameters:
        `contexts` - The resolution contexts, may be `null`.
      Returns:
        This request for chaining, never `null`.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.